# $Revision: 1.19.2.2 $, $Date: 2003/08/08 16:08:13 $
Summary:	MPEG video playing plugin for xmms
Summary(pl):	Wtyczka odtwarzajca filmy MPEG dla xmms
Name:		xmms-input-smpeg
Version:	0.3.5
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.xmms.org/files/plugins/smpeg-xmms/smpeg-xmms-%{version}.tar.gz
# Source0-md5:	07e49327e0d9e7f24781f29a12de94cf
Patch0:		%{name}-am15.patch
Requires:	xmms
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	smpeg-devel
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	xmms-smpeg
Obsoletes:	smpeg-xmms

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
This plugin allows xmms to play MPEG movies.

%description -l pl
Ta wtyczka pozwala xmms'owi odtwarza filmy w formacie MPEG.

%prep
%setup -q -n smpeg-xmms-%{version}
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
autoheader
%{__autoconf}
%{__automake}
export CPPFLAGS="-L%{_libdir}"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO NEWS README ChangeLog
%attr(755,root,root) %{_libdir}/xmms/Input/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-smpeg.spec,v $
Revision 1.19.2.2  2003/08/08 16:08:13  misi3k
- rel 4
- rebuild
- md5

Revision 1.19.2.1  2003/07/11 12:04:54  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.19  2002/07/20 22:00:15  kloczek
- release 2: use new %doc.

Revision 1.18  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/11 15:47:34  kloczek
- added am15 patch and regenerate lt files.

Revision 1.11  2002/01/11 13:42:57  kloczek
- updated to 0.3.5 (bugfix release).

Revision 1.10  2001/04/02 21:52:03  kloczek
- release 2: rebuild against SDL 1.2.0.

Revision 1.9  2001/02/14 05:45:46  kloczek
- regenerate all am/ac files.

Revision 1.8  2001/02/14 05:35:10  kloczek
- updated to 0.3.4.

Revision 1.7  2001/01/08 20:24:35  kloczek
- release 2: added xmms-smpeg and smpeg-xmms to Obsoletes.

Revision 1.6  2001/01/07 20:34:49  kloczek
- updated to 0.3.3.

Revision 1.5  2000/11/23 18:24:21  mkochano
- Release 2.
- Renamed: xmms-smpeg -> xmms-input-smpeg.

Revision 1.4  2000/11/20 00:52:32  kloczek
- cosmetics.

Revision 1.3  2000/10/31 17:39:29  mkochano
- Updated to 0.3.2.
- BuildRequires: smpeg-devel.

Revision 1.2  2000/09/22 19:42:46  mkochano
- Now configure finds XvGetVideo and doesn't (incorrectly) complain about too
  old version of XFree.

Revision 1.1  2000/09/22 17:41:45  mkochano
- Written from scra^Wtemplate ;) .
- Builds. Works.

